[arch-commits] Commit in xfce4-session/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Jul 20 13:50:53 EDT 2008


    Date: Sunday, July 20, 2008 @ 13:50:53
  Author: jgc
Revision: 5764

Merged revisions 2-5763 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/xfce4-session/trunk

........
  r356 | aaron | 2008-04-18 22:56:27 +0000 (Fri, 18 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r5763 | jgc | 2008-07-20 17:50:40 +0000 (Sun, 20 Jul 2008) | 1 line
  
  upgpkg: xfce4-session 4.4.2-2
........

Modified:
  xfce4-session/repos/extra-x86_64/	(properties)
  xfce4-session/repos/extra-x86_64/PKGBUILD
  xfce4-session/repos/extra-x86_64/xfce4-session.install

-----------------------+
 PKGBUILD              |   16 ++++++++--------
 xfce4-session.install |    7 -------
 2 files changed, 8 insertions(+), 15 deletions(-)


Property changes on: xfce4-session/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /xfce4-session/trunk:1
   + /xfce4-session/trunk:1-5763

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-07-20 17:50:40 UTC (rev 5763)
+++ extra-x86_64/PKGBUILD	2008-07-20 17:50:53 UTC (rev 5764)
@@ -3,13 +3,13 @@
 
 pkgname=xfce4-session
 pkgver=4.4.2
-pkgrel=1
+pkgrel=2
 pkgdesc="A session manager for Xfce"
 arch=(i686 x86_64)
 license=('GPL2')
 url="http://www.xfce.org/"
 groups=('xfce4')
-depends=('libxfcegui4>=4.4.2' 'libxfce4mcs>=4.4.2' 'bash')
+depends=('libxfcegui4>=4.4.2' 'libxfce4mcs>=4.4.2' 'dbus>=1.2.1')
 makedepends=('xfce-mcs-manager>=4.4.2' 'pkgconfig')
 replaces=('xfce4-toys')
 options=('!libtool')
@@ -19,15 +19,15 @@
 md5sums=('4c3d1acb8ce37ea4dd55d82aeb38e9e7' 'c5daea785ed798147eae2fb443dfe452')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
     --localstatedir=/var --disable-static \
     --enable-legacy-sm --disable-gnome --enable-session-screenshots \
-    --with-shutdown-style=auto
+    --with-shutdown-style=auto || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
-  mkdir -p ${startdir}/pkg/usr/share/themes
-  cp -r ../ArchLinux ${startdir}/pkg/usr/share/themes
+  make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d ${pkgdir}/usr/share/themes
+  cp -r ../ArchLinux ${pkgdir}/usr/share/themes/ || return 1
   # FIXME: remove some leftover files from artwork package
-  rm -rf ${startdir}/pkg/usr/share/themes/ArchLinux/balou/.thumbnails
+  rm -rf ${pkgdir}/usr/share/themes/ArchLinux/balou/.thumbnails
 }

Modified: extra-x86_64/xfce4-session.install
===================================================================
--- extra-x86_64/xfce4-session.install	2008-07-20 17:50:40 UTC (rev 5763)
+++ extra-x86_64/xfce4-session.install	2008-07-20 17:50:53 UTC (rev 5764)
@@ -1,5 +1,4 @@
 post_install() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
 
@@ -8,11 +7,5 @@
 }
 
 post_remove() {
-  update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list